### Method

# GLib RecMutex unlock

since: 2.32

#### Declaration [src]

    void
    g_rec_mutex_unlock (
      GRecMutex* rec_mutex
    )

#### Description [src]

Unlocks `rec_mutex`. If another thread is blocked in a `g_rec_mutex_lock()` call for `rec_mutex`, it will become unblocked and can lock `rec_mutex` itself.

Calling `g_rec_mutex_unlock()` on a recursive mutex that is not locked by the current thread leads to undefined behaviour.

Available since: 2.32